#ifndef __stdres
  #define __stdres
  
  #include <stdint.h>
  #include "danStuff.h"
  #include <math.h>

  #define E6   1
  #define E12  2
  #define E24  4
  #define E48  8
  #define E96  16
  #define E192 32


   // E3 ... no....
  extern double VE6[]  ;    // E6  is 20% (capacitors)
  extern double VE12[] ;    // E12 is 10% (capacitors)
  extern double VE24[] ;    // E24 is 5% 
  extern double VE48[] ;    // E48 is 2%
  extern double VE96[] ;    // E96 is 1%		  
  extern double VE192[];    // E192 is 0.5% 0.25% and 0.1%

void     stdResPrintArray( double * p);
  double stdResSearchArray(double * a, double v);
  double stdResClosest(uint8_t series, double v);
double * stdResGetValueArray(int8_t exp, uint8_t series);
double * stdResGetValueArrays(int8_t expStart, int8_t expEnd, uint8_t series) ;

#endif
